.elementor-element.main-sidebar {
	flex: 1;
	margin-bottom: 20px;
	@media (max-width: 1200px) {
		width: 100%;
	}
	.sidebar-categories {
		display: flex;
		flex-direction: column;
		row-gap: 25px;

		.sidebar-block {
			h3 {
				font-family: var(--font-body), serif;
				font-size: 20px;
				color: var(--sziv-burgundy);
				border-left: 5px solid var(--sziv-burgundy);
				padding-left: 10px;
				text-transform: uppercase;
			}

			ul {
				list-style: none;
				padding: 0;
				margin: 0;
				@media (max-width: 1200px) {
					display: flex;
					gap: 8px;
					flex-wrap: wrap;
				}

				li {
					padding: 3px 0;
					@media (max-width: 1200px) {
						display: flex;
						align-items: center;
						&:not(:last-child)::after {
							display: block;
							content: "";
							height: 3px;
							width: 3px;
							background-color: var(--sziv-burgundy);
							margin-left: 8px;
						}
					}

					a {
						font-size: 18px;
						color: var(--sziv-grey);
						transition: none;

						&:hover {
							color: var(--sziv-burgundy);
							text-decoration: none;
						}
					}
				}
			}
		}

		/* Sidebar Lapszámok */
		.lapszamok-accordion-container {
			.lapszam-accordion-item {
				padding-bottom: 10px;
				/* Szülő gomb (2026, 2025...) */
				.lapszam-accordion-header {
					width: 100%;
					display: flex;
					justify-content: space-between;
					align-items: center;
					background: transparent;
					border: none;
					outline: none;
					cursor: pointer;
					font-weight: 600;
					font-size: 18px;
					color: var(--sziv-grey);
					text-align: left;
					&:hover {
						color: var(--sziv-burgundy);
					}
					.toggle-icon {
						font-size: 1.4rem;
						font-weight: 400;
						line-height: 1;
						color: var(--sziv-grey);
					}
				}

				/* Animációs konténer */
				.lapszam-accordion-content {
					max-height: 0;
					overflow: hidden;
					opacity: 0;
					transition: max-height 0.35s cubic-bezier(0.4, 0, 0.2, 1), opacity 0.25s ease-in-out;
					.lapszam-accordion-inner {
						padding-left: 15px;
						/* Gyermek lapszámok listája */
						.child-lapszamok-list {
							list-style: none;
							padding: 0;
							margin: 0;
						}
					}
				}
				&.is-open .lapszam-accordion-content {
					opacity: 1;
				}
			}
			.child-lapszam-link {
				color: var(--sziv-grey);
				font-size: 15px;
				display: inline-block;
			}
		}
	}
}

